/*
 * Blink_LED_DFU.c
 *
 *  Created on: 2025/01/09
 *      Author: egaono-electronics
 */

#include "Blink_LED_DFU.h"



//--------------------------------------------------
// ST LED と USERスイッチ のGPIOを初期化
//--------------------------------------------------
// 引数:
//    なし


// 戻り値:
//    なし
//--------------------------------------------------
void Initialize_LED_USW(void)
{
  GPIO_InitTypeDef GPIO_InitStruct = {0};


  /* GPIO Ports Clock Enable */
  __HAL_RCC_GPIOA_CLK_ENABLE();
  __HAL_RCC_GPIOC_CLK_ENABLE();


  //--------------------------------------------------------
  // Status LED
  //--------------------------------------------------------
  /*Configure GPIO pin Output Level */
  HAL_GPIO_WritePin(def_GPIOx_LED_ST,
                    def_GPIO_PIN_x_LED_ST,
                    GPIO_PIN_RESET);

  /*Configure GPIO pin */
  GPIO_InitStruct.Pin = def_GPIO_PIN_x_LED_ST;
  GPIO_InitStruct.Mode = GPIO_MODE_OUTPUT_PP;
  GPIO_InitStruct.Pull = GPIO_NOPULL;
  GPIO_InitStruct.Speed = GPIO_SPEED_FREQ_LOW;
  HAL_GPIO_Init(def_GPIOx_LED_ST, &GPIO_InitStruct);
  //--------------------------------------------------------


  //--------------------------------------------------------
  // User Switch
  //--------------------------------------------------------
  /*Configure GPIO pin */
  GPIO_InitStruct.Pin = def_GPIO_PIN_x_USW;
  GPIO_InitStruct.Mode = GPIO_MODE_INPUT;
  GPIO_InitStruct.Pull = GPIO_PULLUP;
  HAL_GPIO_Init(def_GPIOx_USW, &GPIO_InitStruct);
  //--------------------------------------------------------
}



//--------------------------------------------------
// mSec待ち
//--------------------------------------------------
// 引数
// uint32_t uint32_mSec : 待ち時間(mSec)


// 戻り値:
//    なし
//--------------------------------------------------
void Wait_mSec(uint32_t uint32_mSec)
{
  uint32_t uint32_tikstart = 0;


  // 開始時間取得
  uint32_tikstart = HAL_GetTick();

  // 時間経過待ち
  do{
  }while((HAL_GetTick() - uint32_tikstart)
                                <= uint32_mSec);
}



//--------------------------------------------------
// LED点灯
//--------------------------------------------------
// 引数:
//    なし


// 戻り値:
//    なし
//--------------------------------------------------
void LED_ON(void)
{
  // LED ON : Highを出力
  HAL_GPIO_WritePin(def_GPIOx_LED_ST,
                    def_GPIO_PIN_x_LED_ST,
                    GPIO_PIN_SET);
}



//--------------------------------------------------
// LED消灯
//--------------------------------------------------
// 引数:
//    なし


// 戻り値:
//    なし
//--------------------------------------------------
void LED_OFF(void)
{
  // LED OFF : Lowを出力
  HAL_GPIO_WritePin(def_GPIOx_LED_ST,
                    def_GPIO_PIN_x_LED_ST,
                    GPIO_PIN_RESET);
}



//--------------------------------------------------
// LED点滅
//--------------------------------------------------
// 引数:
//    なし


// 戻り値:
//    なし
//--------------------------------------------------
void Blink_LED(void)
{
    LED_ON();  // LED点灯

    Wait_mSec(20);  // 20mSec待つ

    LED_OFF();  // LED消灯

    Wait_mSec(180);  // 180mSec待つ
}
